{% extends 'main.html.twig' %}

{% block title %}{{ trailers | length }} iTunes Movie trailers{% endblock %}

{% block content %}
    <div class="container-fluid" style="background-color:#f5f5f7;">
        <div class="container" style="background-color:#fff;padding:10px 25px 10px 25px;">
            <div style="display:flex; justify-content:space-around">
                <div>{{time | date('H:i:s d-M-Y ') }}</div>
                <div>{{ nameClass }}</div>
                <div>{{ nameMethod }}</div>
            </div>
            <h1 class="mt-5 mb-4">{{ trailers | length }} iTunes Movie trailers</h1>
            <div class="container">
                <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">
                {% for trailer in trailers %}
                    <div class="col mb-4 br-5">
                        <div class="card shadow-sm" style="width:250px;height:450px">    
                                <a href="movie/{{trailer.id}}"><img src="{{ trailer.image}}" style="float:left; width:250px"></a>       
                            <div class="card-body">
                                <a href="movie/{{trailer.id}}" >{{ trailer.title }}</a>
                            </div>
                        </div>
                    </div>
                    {% endfor %}
                </div>          
            </div>  
        </div>
    </div>
{% endblock %}
